Bug 463157 - firefox didn't warn me when visit the attack/phishing sites
firefox didn't warn me when visit the attack/phishing sites
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firefox (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Martin Stransky
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-22 07:58 EDT by lihuang
Modified: 2009-06-03 05:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-03 05:01:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lihuang 2008-09-22 07:58:23 EDT
Description of problem:
firefox didn't warn me when visit the attack/phishing sites

Version-Release number of selected component (if applicable):
firefox-3.0.2-3.el5

How reproducible:
Everytime

Steps to Reproduce:
1.Verify warning is enabled .(Go to 'Edit > Preferences > Security' )
2.visit the follow pages:
  http://www.mozilla.com/firefox/its-an-attack.html
  http://www.mozilla.com/firefox/its-a-trap.html
3.
  
Actual results:
firefox visited the sites directly without warning 

Expected results:
firefox should give a warning dialogue before visiting the suspected site. 

Additional info:
Have a try on firefox-3.0.2-2.el4.i386, and got the warning from both of the pages.
Comment 1 Martin Stransky 2008-09-22 08:10:07 EDT
Hm, it seems the safe-browsing is still disabled in RHEL-5
Comment 2 Martin Stransky 2008-09-23 08:32:28 EDT
Committed to CVS, packages xulrunner-1.9.0.2-6.el5 & firefox-3.0.2-4.el5. It's going to be released with next security update.
Comment 3 Lawrence Lim 2008-09-23 08:52:44 EDT
Thanks for the quick turnaround.
Comment 4 RHEL Product and Program Management 2009-02-02 22:41:14 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Martin Stransky 2009-06-03 05:01:01 EDT
Fixed in firefox-3.0.2-4.el5

Note You need to log in before you can comment on or make changes to this bug.